Summary:	Simple DirectMedia Layer 3 - ttf handling
Summary(pl.UTF-8):	Biblioteka obsługi fontów TTF dla SDL3
Summary(pt_BR.UTF-8):	Simple DirectMedia Layer 3 - Biblioteca de fontes TrueType
Name:		SDL3_ttf
Version:	3.2.2
Release:	1
License:	Zlib-like
Group:		Libraries
#Source0Download: https://github.com/libsdl-org/SDL_ttf/releases
Source0:	https://github.com/libsdl-org/SDL_ttf/releases/download/release-%{version}/SDL3_ttf-%{version}.tar.gz
# Source0-md5:	436a43b55735ee7bce09183daeebc156
URL:		https://github.com/libsdl-org/SDL_ttf
BuildRequires:	OpenGL-devel
BuildRequires:	SDL3-devel >= 3.2.6
BuildRequires:	cmake >= 3.16
BuildRequires:	freetype-devel >= 2.1.4
BuildRequires:	harfbuzz-devel >= 2.3.1
BuildRequires:	libstdc++-devel >= 6:4.8.1
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	plutosvg-devel
BuildRequires:	rpmbuild(macros) >= 1.605
Requires:	SDL3 >= 3.2.6
Requires:	freetype >= 2.1.4
Requires:	harfbuzz >= 2.3.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a sample library which allows you to use TrueType fonts in
your SDL3 applications. It comes with an example program "sdl2font"
which displays an example string for a given TrueType font file.

%description -l pl.UTF-8
Przykładowa biblioteka do obsługi fontów TrueType w aplikacjach SDL3.
Pakiet zawiera przykładowy program "sdl2font", wyświetlający
przykładowy ciąg znaków zadanym fontem TrueType.

%description -l pt_BR.UTF-8
Esta é uma biblioteca que permite a utilização de fontes TrueType em
suas aplicações SDL3. Ela vem com o programa exemplo "sdl2font" que
mostra uma string exemplo para uma fonte TrueType fornecida.

%package devel
Summary:	Header files and more to develop SDL3_ttf applications
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijania aplikacji używających SDL3_ttf
Summary(pt_BR.UTF-8):	Cabeçalhos para desenvolver programas utilizando a SDL3_ttf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL3-devel >= 3.2.6
Requires:	freetype-devel >= 2.1.4
Requires:	plutosvg-devel

%description devel
Header files and more to develop SDL3_ttf applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do rozwijania aplikacji używających SDL3_ttf.

%description devel -l pt_BR.UTF-8
Este pacote contém os cabeçalhos que programadores vão precisar para
desenvolver aplicações utilizando a SDL3_ttf.

%prep
%setup -q

%build
# Findplutosvg.cmake detects plutosvg include directory, but fails to include required plutovg one
export CFLAGS="%{rpmcflags} -I/usr/include/plutovg"
%cmake -B build \
	-DSDLTTF_INSTALL_MAN=ON \
	-DSDLTTF_STRICT=ON

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install build/showfont $RPM_BUILD_ROOT%{_bindir}/sdl3-showfont

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES.txt LICENSE.txt README.md
%attr(755,root,root) %{_bindir}/sdl3-showfont
%attr(755,root,root) %{_libdir}/libSDL3_ttf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libSDL3_ttf.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libSDL3_ttf.so
%{_libdir}/cmake/SDL3_ttf
%{_includedir}/SDL3_ttf
%{_pkgconfigdir}/sdl3-ttf.pc
%{_mandir}/man3/SDL_TTF_*.3*
%{_mandir}/man3/TTF_*.3*
%changelog
* Fri Apr 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/SDL3_ttf.git;a=log;h=master

* Fri Apr 04 2025 Jakub Bogusz <qboosh@pld-linux.org> 0daf15c
- updated to 3.2.2

* Wed Mar 19 2025 Jakub Bogusz <qboosh@pld-linux.org> d239fd5
- SDL3_ttf 3.2.0 based on SDL2_ttf

* Mon Feb 03 2025 Jakub Bogusz <qboosh@pld-linux.org> b76ddf0
- updated to 2.24.0

* Mon Jan 22 2024 Jan Palus <atler@pld-linux.org> dc87aef
- add static_libs bcond

* Mon Jan 22 2024 Jan Palus <atler@pld-linux.org> 57bd29a
- up to 2.22.0

* Tue Feb 07 2023 Jan Palus <atler@pld-linux.org> d2c8496
- up to 2.20.2

* Sat Aug 20 2022 Jan Palus <atler@pld-linux.org> d650e48
- up to 2.20.1

* Wed Jan 12 2022 Jan Palus <atler@pld-linux.org> 7e0ce9e
- up to 2.0.18

* Sat Jul 11 2020 Jakub Bogusz <qboosh@pld-linux.org> 5c9d6f6
- updated to 2.0.15

* Sun Mar 20 2016 Jakub Bogusz <qboosh@pld-linux.org> ba003d3
- updated to 2.0.14

* Tue Jan 12 2016 Jakub Bogusz <qboosh@pld-linux.org> 3c79297
- updated to 2.0.13

* Tue Jun 09 2015 Elan Ruusamäe <glen@delfi.ee> bb41c68
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jun 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 11adbe7
- new

